---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libmethname002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FD50, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51C90, symBinAddr: 0x8100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52080, symBinAddr: 0x84F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53020, symBinAddr: 0x9490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53030, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F9D0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F9D4, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F9D8, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FB30, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FBE8, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FBEC, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FBF0, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FBF4, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FBF8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FC00, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FC18, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FC20, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FC28, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FC30, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FC38, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FC7A, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FC80, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FC88, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9150, offset: 0x9150, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1760, symSize: 0x80 }
  - { offsetInCU: 0x91E5, offset: 0x91E5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16B0, symSize: 0xB0 }
  - { offsetInCU: 0x9240, offset: 0x9240, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15B0, symSize: 0x100 }
  - { offsetInCU: 0x94D3, offset: 0x94D3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x17E0, symSize: 0x220 }
  - { offsetInCU: 0x96B8, offset: 0x96B8, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1A00, symSize: 0xA0 }
  - { offsetInCU: 0x976B, offset: 0x976B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1AA0, symSize: 0x110 }
  - { offsetInCU: 0x9861, offset: 0x9861, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1BB0, symSize: 0x150 }
  - { offsetInCU: 0x9992, offset: 0x9992, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1D00, symSize: 0x30 }
  - { offsetInCU: 0x9A1B, offset: 0x9A1B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1D30, symSize: 0x150 }
  - { offsetInCU: 0x9C13, offset: 0x9C13, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1E80, symSize: 0x160 }
  - { offsetInCU: 0x9D9F, offset: 0x9D9F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1FE0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FBA, offset: 0x9FBA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2190, symSize: 0xA0 }
  - { offsetInCU: 0xA089, offset: 0xA089, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2230, symSize: 0x20 }
  - { offsetInCU: 0xA0C0, offset: 0xA0C0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2250, symSize: 0x20 }
  - { offsetInCU: 0xA0F7, offset: 0xA0F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2270, symSize: 0x20 }
  - { offsetInCU: 0xA2AA, offset: 0xA2AA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2290, symSize: 0x1A0 }
  - { offsetInCU: 0xA5D0, offset: 0xA5D0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2430, symSize: 0x80 }
  - { offsetInCU: 0xA699, offset: 0xA699, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x24B0, symSize: 0x6A0 }
  - { offsetInCU: 0xB22E, offset: 0xB22E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA070, symBinAddr: 0x3640, symSize: 0xB0 }
  - { offsetInCU: 0xB2A5, offset: 0xB2A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2B50, symSize: 0x70 }
  - { offsetInCU: 0xB341, offset: 0xB341, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2BC0, symSize: 0xA0 }
  - { offsetInCU: 0xB420, offset: 0xB420, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2C60, symSize: 0x40 }
  - { offsetInCU: 0xB516, offset: 0xB516, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2CA0, symSize: 0x2B0 }
  - { offsetInCU: 0xB8BC, offset: 0xB8BC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2F50, symSize: 0xC0 }
  - { offsetInCU: 0xBA02, offset: 0xBA02, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3010, symSize: 0x10 }
  - { offsetInCU: 0xBAC4, offset: 0xBAC4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3020, symSize: 0x220 }
  - { offsetInCU: 0xBDFA, offset: 0xBDFA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3240, symSize: 0x70 }
  - { offsetInCU: 0xBEC5, offset: 0xBEC5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9CE0, symBinAddr: 0x32B0, symSize: 0x70 }
  - { offsetInCU: 0xBF90, offset: 0xBF90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetMethodName_methname002_check, symObjAddr: 0x9D50, symBinAddr: 0x3320, symSize: 0x320 }
  - { offsetInCU: 0xC209, offset: 0xC209, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA120, symBinAddr: 0x36F0, symSize: 0x36A }
...
